Subject: RE: [Sip] Registration Query

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Fri, 4 Apr 2003 14:21:00 +0100

Can I suggest you try somewhere between 8.1.3.4 and 8.2.

It is certainly there tonight, but who knows where it might be tomorrow.

Are you sure you are looking at

http://www.ietf.org/rfc/rfc3261.txt

which is the approved version as an RFC.

Keith

Keith Drage
Lucent Technologies
Tel: +44 1793 776249
Email: [email-masked] 
-----Original Message-----
From: Jay Morris [mailto:[email-masked]]
Sent: 03 April 2003 16:38
To: Jonathan Rosenberg; [email-masked]
Cc: [email-masked]
Subject: Re: [Sip] Registration Query

Hi, 
I can't find section 8.1.3.5 in the standard. Where is it? 
Thanks, 
Jay. 
 Jonathan Rosenberg <[email-masked]> wrote: 

Valerie Kenneally wrote:
> Hi all,
> 
> Assume a User Agent is registering with a SIP Server. The SIP Server
> challenges the User Agent with regard to Authorization. The User Agent
> replies with the appropriate information. My question-when the User Agent
> responds to the challenge will the Call-ID and From tag or this message be
> the same as the first REGISTER message sent? All info greatly accepted!

Yes. Section 8.1.3.5 addresses this case:

> In all of the above cases, the request is retried by creating a new
> request with the appropriate modifications. This new request
> constitutes a new transaction and SHOULD have the same value of the
> Call-ID, To, and From of the previous request, but the CSeq should
> contain a new sequence number that is one higher than the previous.
> 
> ! 
> 
> Rosenberg, et. al. Standards Track [Page 45]
> 
> RFC 3261 SIP: Session Initiation Protocol June 2002
> 
> 
> With other 4xx responses, including those yet to be defined, a retry
> may or may not be possible depending on the method and the use case.

-Jonathan R.
-- 
Jonathan D. Rosenberg, Ph.D. 600 Lanidex Plaza
Chief Scientist Parsippany, NJ 07054-2711
dynamicsoft
[email-masked] FAX: (973) 952-5050
http://www.jdrosen.net PHONE: (973) 952-5000
http://www.dynamicsoft.com

_______________________________________________
Sip mailing list https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip

Do you Yahoo!?
Yahoo! Tax Center - File online, calculators, forms, and more
_______________________________________________
Sip mailing list  https://www1.ietf.org/mailman/listinfo/sip
This list is for NEW development of the core SIP Protocol
Use [email-masked] for questions on current sip
Use [email-masked] for new developments on the application of sip